Package org.eclipse.rdf4j.model.vocabulary

## Class SPIN

- java.lang.Object
- - org.eclipse.rdf4j.model.vocabulary.SPIN

-     public class SPIN
      extends Object

  Version:
    1.4.0

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IRI` | `ABSTRACT_PROPERTY` | http://spinrdf.org/spin#abstract Can be set to true to indicate that this module shall not be instantiated.
    `static IRI` | `ARG1_INSTANCE` |
    `static IRI` | `ARG2_INSTANCE` |
    `static IRI` | `ARG3_INSTANCE` |
    `static IRI` | `ARG4_INSTANCE` |
    `static IRI` | `ARG5_INSTANCE` |
    `static IRI` | `ASK_FUNCTION` |
    `static IRI` | `ASK_TEMPLATE_CLASS` | http://spinrdf.org/spin#AskTemplate A SPIN template that wraps an ASK query.
    `static IRI` | `ASK_TEMPLATES_CLASS` | http://spinrdf.org/spin#AskTemplates Suggested abstract base class for all AskTemplates.
    `static IRI` | `BODY_PROPERTY` | http://spinrdf.org/spin#body The body of a Function or Template.
    `static IRI` | `COLUMN_CLASS` | http://spinrdf.org/spin#Column Provides metadata about a column in the result set of a (SPARQL) query, for example of the body queries of SPIN templates.
    `static IRI` | `COLUMN_INDEX_PROPERTY` | http://spinrdf.org/spin#columnIndex The index of a column (from left to right) starting at 0.
    `static IRI` | `COLUMN_PROPERTY` | http://spinrdf.org/spin#column Can link a TableDataProvider (esp.
    `static IRI` | `COLUMN_TYPE_PROPERTY` | http://spinrdf.org/spin#columnType The datatype or resource type of a spin:Column.
    `static IRI` | `COLUMN_WIDTH_PROPERTY` | http://spinrdf.org/spin#columnWidth The preferred width of the associated Column, for display purposes.
    `static IRI` | `COMMAND_PROPERTY` | http://spinrdf.org/spin#command Can be used to link a resource with a SPARQL query or update request (sp:Command).
    `static IRI` | `CONSTRAINT_PROPERTY` | http://spinrdf.org/spin#constraint Links a class with constraints on its instances.
    `static IRI` | `CONSTRAINT_VIOLATION_CLASS` | http://spinrdf.org/spin#ConstraintViolation An object that can be created by spin:constraints to provide information about a constraint violation.
    `static IRI` | `CONSTRUCT_PROPERTY` |
    `static IRI` | `CONSTRUCT_TEMPLATE_CLASS` |
    `static IRI` | `CONSTRUCT_TEMPLATES_CLASS` | http://spinrdf.org/spin#ConstructTemplates Suggested abstract base class for all ConstructTemplates.
    `static IRI` | `CONSTRUCTOR_PROPERTY` | http://spinrdf.org/spin#constructor Can be used to attach a "constructor" to a class.
    `static IRI` | `ERROR_VIOLATION_LEVEL` |
    `static IRI` | `EVAL_CLASS` | Deprecated.
    `static IRI` | `EVAL_FUNCTION` | http://spinrdf.org/spin#eval Evaluates a given SPIN expression or SELECT or ASK query, and returns its result.
    `static IRI` | `FATAL_VIOLATION_LEVEL` |
    `static IRI` | `FIX_PROPERTY` | http://spinrdf.org/spin#fix Can be used to link a ConstraintViolation with one or more UPDATE Templates that would help fix the violation.
    `static IRI` | `FUNCTION_CLASS` | http://spinrdf.org/spin#Function Metaclass for functions that can be used in SPARQL expressions (e.g.
    `static IRI` | `FUNCTIONS_CLASS` | http://spinrdf.org/spin#Functions An abstract base class for all defined functions.
    `static IRI` | `IMPORTS_PROPERTY` | http://spinrdf.org/spin#imports Can be used to link an RDF graph (usually the instance of owl:Ontology) with a SPIN library to define constraints.
    `static IRI` | `INFO_VIOLATION_LEVEL` |
    `static IRI` | `LABEL_TEMPLATE_PROPERTY` | http://spinrdf.org/spin#labelTemplate A template string for displaying instantiations of a module in human-readable form.
    `static IRI` | `LIBRARY_ONTOLOGY_CLASS` | http://spinrdf.org/spin#LibraryOntology A marker class that can be attached to base URIs (ontologies) to instruct SPIN engines that this ontology only contains a library of SPIN declarations.
    `static IRI` | `MAGIC_PROPERTIES_CLASS` | http://spinrdf.org/spin#MagicProperties An abstract superclass that can be used to group all spin:MagicProperty instances under a single parent class.
    `static IRI` | `MAGIC_PROPERTY_CLASS` |
    `static IRI` | `MODULE_CLASS` | http://spinrdf.org/spin#Module An abstract building block of a SPARQL system.
    `static IRI` | `MODULES_CLASS` | http://spinrdf.org/spin#Modules An "artificial" parent class for all Functions and Templates.
    `static String` | `NAMESPACE` | http://spinrdf.org/spin An RDF Schema that can be used to attach constraints and rules to RDFS classes, and to encapsulate reusable SPARQL queries into functions and templates.
    `static IRI` | `NEXT_RULE_PROPERTY_PROPERTY` | http://spinrdf.org/spin#nextRuleProperty Can be used to link two sub-properties of spin:rule (or spin:rule itself) to instruct the SPIN engine to execute one set of rules before another one.
    `static String` | `PREFIX` |
    `static IRI` | `PRIVATE_PROPERTY` | http://spinrdf.org/spin#private Can be set to true to indicate that a SPIN function is only meant to be used as a helper of other functions, but not directly.
    `static IRI` | `QUERY_PROPERTY` | http://spinrdf.org/spin#query Can be used to point from any resource to a Query.
    `static IRI` | `RETURN_TYPE_PROPERTY` | http://spinrdf.org/spin#returnType The return type of a Function, e.g.
    `static IRI` | `RULE_CLASS` | http://spinrdf.org/spin#Rule Groups together the kinds of SPARQL commands that can appear as SPIN rules and constructors: CONSTRUCT, DELETE WHERE and DELETE/INSERT.
    `static IRI` | `RULE_PROPERTY` | http://spinrdf.org/spin#rule An inferencing rule attached to a class.
    `static IRI` | `RULE_PROPERTY_CLASS` | http://spinrdf.org/spin#RuleProperty The metaclass of spin:rule and its subproperties.
    `static IRI` | `RULE_PROPERTY_MAX_ITERATION_COUNT_PROPERTY` | http://spinrdf.org/spin#rulePropertyMaxIterationCount Can be attached to spin:rule (or subclasses thereof) to instruct a SPIN rules engine that it shall only execute the rules max times.
    `static IRI` | `SELECT_PROPERTY` |
    `static IRI` | `SELECT_TEMPLATE_CLASS` | http://spinrdf.org/spin#SelectTemplate A SPIN template that wraps a SELECT query.
    `static IRI` | `SELECT_TEMPLATES_CLASS` | http://spinrdf.org/spin#SelectTemplates Suggested abstract base class for all SelectTemplates.
    `static IRI` | `SYMBOL_PROPERTY` | http://spinrdf.org/spin#symbol The symbol of a function, e.g.
    `static IRI` | `SYSTEM_PROPERTY_PROPERTY` | http://spinrdf.org/spin#systemProperty An "abstract" base property that groups together those system properties that the user will hardly ever need to see in property trees.
    `static IRI` | `TABLE_DATA_PROVIDER_CLASS` | http://spinrdf.org/spin#TableDataProvider An abstraction of objects that can produce tabular data.
    `static IRI` | `TEMPLATE_CLASS` | http://spinrdf.org/spin#Template The metaclass of SPIN templates.
    `static IRI` | `TEMPLATES_CLASS` | http://spinrdf.org/spin#Templates Suggested abstract base class for all Templates.
    `static IRI` | `THIS_CONTEXT_INSTANCE` | http://spinrdf.org/spin#_this A system variable representing the current context instance in a rule or constraint.
    `static IRI` | `THIS_UNBOUND_PROPERTY` | http://spinrdf.org/spin#thisUnbound Can be set to true for SPIN rules and constraints that do not require pre-binding the variable ?this with all members of the associated class.
    `static IRI` | `UPDATE_PROPERTY` | http://spinrdf.org/spin#update Can be used to point from any resource to an Update.
    `static IRI` | `UPDATE_TEMPLATE_CLASS` | http://spinrdf.org/spin#UpdateTemplate A SPIN template that has an UPDATE command as its body.
    `static IRI` | `UPDATE_TEMPLATES_CLASS` | http://spinrdf.org/spin#UpdateTemplates Suggested abstract base class for all UpdateTemplates.
    `static IRI` | `VIOLATION_LEVEL_PROPERTY` |
    `static IRI` | `VIOLATION_PATH_PROPERTY` | http://spinrdf.org/spin#violationPath An optional attribute of ConstraintViolations to provide a path expression from the root resource to the value that is invalid.
    `static IRI` | `VIOLATION_ROOT_PROPERTY` | http://spinrdf.org/spin#violationRoot The root resource of the violation (often ?this in the constraint body).
    `static IRI` | `VIOLATION_SOURCE_PROPERTY` | http://spinrdf.org/spin#violationSource Can be used to link a spin:ConstraintViolation with the query or template call that caused it.
    `static IRI` | `VIOLATION_VALUE_PROPERTY` |
    `static IRI` | `WARNING_VIOLATION_LEVEL` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SPIN()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      http://spinrdf.org/spin An RDF Schema that can be used to attach constraints and rules to RDFS classes, and to encapsulate reusable SPARQL queries into functions and templates.
      See Also:
        Constant Field Values

    - #### PREFIX

          public static final String PREFIX

      See Also:
        Constant Field Values

    - #### FUNCTION_CLASS

          public static IRI FUNCTION_CLASS

      http://spinrdf.org/spin#Function Metaclass for functions that can be used in SPARQL expressions (e.g. FILTER or BIND). The function themselves are classes that are instances of this metaclass. Function calls are instances of the function classes, with property values for the arguments.

    - #### MODULE_CLASS

          public static IRI MODULE_CLASS

      http://spinrdf.org/spin#Module An abstract building block of a SPARQL system. A Module can take Arguments as input and applies them on an input RDF Graph. The Arguments should be declared as spin:constraints.

    - #### BODY_PROPERTY

          public static IRI BODY_PROPERTY

      http://spinrdf.org/spin#body The body of a Function or Template. This points to a Query instance. For Functions, this is limited to either ASK or SELECT type queries. If the body is the ASK function then the return value is xsd:boolean. Otherwise, the SELECT query must have a single return variable. The first binding of this SELECT query will be returned as result of the function call.

    - #### TABLE_DATA_PROVIDER_CLASS

          public static IRI TABLE_DATA_PROVIDER_CLASS

      http://spinrdf.org/spin#TableDataProvider An abstraction of objects that can produce tabular data. This serves as a base class of spin:SelectTemplate, because SELECT queries can produce tables with columns for each result variable. However, other types of TableDataProviders are conceivable by other frameworks, and this class may prove as a useful shared foundation. TableDataProviders can link to definitions of columns via spin:column, and these definitions can inform rendering engines.

    - #### CONSTRUCT_TEMPLATE_CLASS

          public static IRI CONSTRUCT_TEMPLATE_CLASS

    - #### TEMPLATE_CLASS

          public static IRI TEMPLATE_CLASS

      http://spinrdf.org/spin#Template The metaclass of SPIN templates. Templates are classes that are instances of this class. A template represents a reusable SPARQL query or update request that can be parameterized with arguments. Templates can be instantiated in places where normally a SPARQL query or update request is used, in particular as spin:rules and spin:constraints.

    - #### RULE_CLASS

          public static IRI RULE_CLASS

      http://spinrdf.org/spin#Rule Groups together the kinds of SPARQL commands that can appear as SPIN rules and constructors: CONSTRUCT, DELETE WHERE and DELETE/INSERT. This class is never to be instantiated directly.

    - #### ASK_TEMPLATE_CLASS

          public static IRI ASK_TEMPLATE_CLASS

      http://spinrdf.org/spin#AskTemplate A SPIN template that wraps an ASK query.

    - #### UPDATE_TEMPLATE_CLASS

          public static IRI UPDATE_TEMPLATE_CLASS

      http://spinrdf.org/spin#UpdateTemplate A SPIN template that has an UPDATE command as its body.

    - #### RULE_PROPERTY_CLASS

          public static IRI RULE_PROPERTY_CLASS

      http://spinrdf.org/spin#RuleProperty The metaclass of spin:rule and its subproperties. spin:RuleProperties can have additional metadata attached to them.

    - #### CONSTRAINT_VIOLATION_CLASS

          public static IRI CONSTRAINT_VIOLATION_CLASS

      http://spinrdf.org/spin#ConstraintViolation An object that can be created by spin:constraints to provide information about a constraint violation.

    - #### MODULES_CLASS

          public static IRI MODULES_CLASS

      http://spinrdf.org/spin#Modules An "artificial" parent class for all Functions and Templates.

    - #### SELECT_TEMPLATE_CLASS

          public static IRI SELECT_TEMPLATE_CLASS

      http://spinrdf.org/spin#SelectTemplate A SPIN template that wraps a SELECT query.

    - #### COLUMN_CLASS

          public static IRI COLUMN_CLASS

      http://spinrdf.org/spin#Column Provides metadata about a column in the result set of a (SPARQL) query, for example of the body queries of SPIN templates. Columns can define human-readable labels that serve as column titles, using rdfs:label.

    - #### LIBRARY_ONTOLOGY_CLASS

          public static IRI LIBRARY_ONTOLOGY_CLASS

      http://spinrdf.org/spin#LibraryOntology A marker class that can be attached to base URIs (ontologies) to instruct SPIN engines that this ontology only contains a library of SPIN declarations. Library Ontologies should be ignored by SPIN inference engines even if they have been imported by a domain model. For example, a SPIN version of OWL RL may contain all the OWL RL axioms, attached to owl:Thing, but nothing else. However, when executed, these axioms should not be executed over themselves, because we don't want the system to reason about the SPIN triples to speed up things.

    - #### MAGIC_PROPERTY_CLASS

          public static IRI MAGIC_PROPERTY_CLASS

    - #### UPDATE_PROPERTY

          public static IRI UPDATE_PROPERTY

      http://spinrdf.org/spin#update Can be used to point from any resource to an Update.

    - #### COMMAND_PROPERTY

          public static IRI COMMAND_PROPERTY

      http://spinrdf.org/spin#command Can be used to link a resource with a SPARQL query or update request (sp:Command).

    - #### RETURN_TYPE_PROPERTY

          public static IRI RETURN_TYPE_PROPERTY

      http://spinrdf.org/spin#returnType The return type of a Function, e.g. xsd:string.

    - #### SYSTEM_PROPERTY_PROPERTY

          public static IRI SYSTEM_PROPERTY_PROPERTY

      http://spinrdf.org/spin#systemProperty An "abstract" base property that groups together those system properties that the user will hardly ever need to see in property trees. This property may be dropped in future versions of this ontology - right now it's mainly here for convenience.

    - #### COLUMN_PROPERTY

          public static IRI COLUMN_PROPERTY

      http://spinrdf.org/spin#column Can link a TableDataProvider (esp. SelectTemplate) with one or more columns that provide metadata for rendering purposes. Columns can be sorted by their spin:columnIndex (which must align with the ordering of variables in the SELECT query starting with 0). Not all result variables of the underlying query need to have a matching spin:Column.

    - #### SYMBOL_PROPERTY

          public static IRI SYMBOL_PROPERTY

      http://spinrdf.org/spin#symbol The symbol of a function, e.g. "=" for the eq function.

    - #### VIOLATION_ROOT_PROPERTY

          public static IRI VIOLATION_ROOT_PROPERTY

      http://spinrdf.org/spin#violationRoot The root resource of the violation (often ?this in the constraint body).

    - #### COLUMN_TYPE_PROPERTY

          public static IRI COLUMN_TYPE_PROPERTY

      http://spinrdf.org/spin#columnType The datatype or resource type of a spin:Column. For example this is useful as metadata to inform a rendering engine that numeric columns (e.g. xsd:float) need to be right-aligned.

    - #### NEXT_RULE_PROPERTY_PROPERTY

          public static IRI NEXT_RULE_PROPERTY_PROPERTY

      http://spinrdf.org/spin#nextRuleProperty Can be used to link two sub-properties of spin:rule (or spin:rule itself) to instruct the SPIN engine to execute one set of rules before another one. The values of the subject property will be executed before those of the object property.

    - #### PRIVATE_PROPERTY

          public static IRI PRIVATE_PROPERTY

      http://spinrdf.org/spin#private Can be set to true to indicate that a SPIN function is only meant to be used as a helper of other functions, but not directly. Among others, this allows user interfaces to filter out private functions. Furthermore, it tells potential users of this function that they should avoid using this function, as it may not be stable.

    - #### LABEL_TEMPLATE_PROPERTY

          public static IRI LABEL_TEMPLATE_PROPERTY

      http://spinrdf.org/spin#labelTemplate A template string for displaying instantiations of a module in human-readable form. The template may contain the argument variable names in curly braces to support substitution. For example, "The number of values of the {?arg1} property."

    - #### VIOLATION_PATH_PROPERTY

          public static IRI VIOLATION_PATH_PROPERTY

      http://spinrdf.org/spin#violationPath An optional attribute of ConstraintViolations to provide a path expression from the root resource to the value that is invalid. If this is a IRI then the path represents the predicate of a subject/predicate combination. Otherwise it should be a blank node of type sp:Path.

    - #### CONSTRUCTOR_PROPERTY

          public static IRI CONSTRUCTOR_PROPERTY

      http://spinrdf.org/spin#constructor Can be used to attach a "constructor" to a class. A constructor is a SPARQL CONSTRUCT query or INSERT/DELETE Update operation that can add initial values to the current instance. At execution time, the variable ?this is bound to the current instance. Tools can call constructors of a class and its superclasses when an instance of a class has been created. Constructors will also be used to initialize resources that have received a new rdf:type triple as a result of spin:rules firing.

    - #### ABSTRACT_PROPERTY

          public static IRI ABSTRACT_PROPERTY

      http://spinrdf.org/spin#abstract Can be set to true to indicate that this module shall not be instantiated. Abstract modules are only there to organize other modules into hierarchies.

    - #### CONSTRAINT_PROPERTY

          public static IRI CONSTRAINT_PROPERTY

      http://spinrdf.org/spin#constraint Links a class with constraints on its instances. The values of this property are "axioms" expressed as CONSTRUCT or ASK queries where the variable ?this refers to the instances of the surrounding class. ASK queries must evaluate to false for each member of this class - returning true means that the instance ?this violates the constraint. CONSTRUCT queries must create instances of spin:ConstraintViolation to provide details on the reason for the violation.

    - #### QUERY_PROPERTY

          public static IRI QUERY_PROPERTY

      http://spinrdf.org/spin#query Can be used to point from any resource to a Query.

    - #### FIX_PROPERTY

          public static IRI FIX_PROPERTY

      http://spinrdf.org/spin#fix Can be used to link a ConstraintViolation with one or more UPDATE Templates that would help fix the violation.

    - #### COLUMN_WIDTH_PROPERTY

          public static IRI COLUMN_WIDTH_PROPERTY

      http://spinrdf.org/spin#columnWidth The preferred width of the associated Column, for display purposes. Values in pixels (rendering engines may multiply the values depending on resolution).

    - #### VIOLATION_SOURCE_PROPERTY

          public static IRI VIOLATION_SOURCE_PROPERTY

      http://spinrdf.org/spin#violationSource Can be used to link a spin:ConstraintViolation with the query or template call that caused it. This property is typically filled in automatically by the constraint checking engine and does not need to be set manually. However, it can be useful to learn more about the origin of a violation.

    - #### COLUMN_INDEX_PROPERTY

          public static IRI COLUMN_INDEX_PROPERTY

      http://spinrdf.org/spin#columnIndex The index of a column (from left to right) starting at 0.

    - #### THIS_UNBOUND_PROPERTY

          public static IRI THIS_UNBOUND_PROPERTY

      http://spinrdf.org/spin#thisUnbound Can be set to true for SPIN rules and constraints that do not require pre-binding the variable ?this with all members of the associated class. This flag should only be set to true if the WHERE clause is sufficiently strong to only bind instances of the associated class, or its subclasses. In those cases, the engine can greatly improve performance of query execution, because it does not need to add clauses to narrow down the WHERE clause.

    - #### RULE_PROPERTY_MAX_ITERATION_COUNT_PROPERTY

          public static IRI RULE_PROPERTY_MAX_ITERATION_COUNT_PROPERTY

      http://spinrdf.org/spin#rulePropertyMaxIterationCount Can be attached to spin:rule (or subclasses thereof) to instruct a SPIN rules engine that it shall only execute the rules max times. If no value is specified, then the rules will be executed with no specific limit.

    - #### IMPORTS_PROPERTY

          public static IRI IMPORTS_PROPERTY

      http://spinrdf.org/spin#imports Can be used to link an RDF graph (usually the instance of owl:Ontology) with a SPIN library to define constraints. SPIN-aware tools should include the definitions from those libraries for constraint checking. Using such libraries is a simpler alternative than explicitly importing them using owl:imports, because it does not force all the SPIN triples into the RDF model.

    - #### CONSTRUCT_TEMPLATES_CLASS

          public static IRI CONSTRUCT_TEMPLATES_CLASS

      http://spinrdf.org/spin#ConstructTemplates Suggested abstract base class for all ConstructTemplates.

    - #### TEMPLATES_CLASS

          public static IRI TEMPLATES_CLASS

      http://spinrdf.org/spin#Templates Suggested abstract base class for all Templates.

    - #### EVAL_FUNCTION

          public static final IRI EVAL_FUNCTION

      http://spinrdf.org/spin#eval Evaluates a given SPIN expression or SELECT or ASK query, and returns its result. The first argument must be the expression in SPIN RDF syntax. All other arguments must come in pairs: first a property name, and then a value. These name/value pairs will be pre-bound variables for the execution of the expression.

    - #### EVAL_CLASS

          @Deprecated
          public static final IRI EVAL_CLASS

      Deprecated.

    - #### FUNCTIONS_CLASS

          public static IRI FUNCTIONS_CLASS

      http://spinrdf.org/spin#Functions An abstract base class for all defined functions. This class mainly serves as a shared root so that the various instances of the Function metaclass are grouped together.

    - #### ASK_TEMPLATES_CLASS

          public static IRI ASK_TEMPLATES_CLASS

      http://spinrdf.org/spin#AskTemplates Suggested abstract base class for all AskTemplates.

    - #### SELECT_TEMPLATES_CLASS

          public static IRI SELECT_TEMPLATES_CLASS

      http://spinrdf.org/spin#SelectTemplates Suggested abstract base class for all SelectTemplates.

    - #### MAGIC_PROPERTIES_CLASS

          public static IRI MAGIC_PROPERTIES_CLASS

      http://spinrdf.org/spin#MagicProperties An abstract superclass that can be used to group all spin:MagicProperty instances under a single parent class.

    - #### THIS_CONTEXT_INSTANCE

          public static IRI THIS_CONTEXT_INSTANCE

      http://spinrdf.org/spin#_this A system variable representing the current context instance in a rule or constraint.

    - #### UPDATE_TEMPLATES_CLASS

          public static IRI UPDATE_TEMPLATES_CLASS

      http://spinrdf.org/spin#UpdateTemplates Suggested abstract base class for all UpdateTemplates.

    - #### RULE_PROPERTY

          public static IRI RULE_PROPERTY

      http://spinrdf.org/spin#rule An inferencing rule attached to a class. Rules are expressed as CONSTRUCT queries or INSERT/DELETE operations where the variable ?this will be bound to the current instance of the class. These inferences can be used to derive new values from existing values at the instance.

    - #### VIOLATION_VALUE_PROPERTY

          public static final IRI VIOLATION_VALUE_PROPERTY

    - #### VIOLATION_LEVEL_PROPERTY

          public static final IRI VIOLATION_LEVEL_PROPERTY

    - #### INFO_VIOLATION_LEVEL

          public static final IRI INFO_VIOLATION_LEVEL

    - #### WARNING_VIOLATION_LEVEL

          public static final IRI WARNING_VIOLATION_LEVEL

    - #### ERROR_VIOLATION_LEVEL

          public static final IRI ERROR_VIOLATION_LEVEL

    - #### FATAL_VIOLATION_LEVEL

          public static final IRI FATAL_VIOLATION_LEVEL

    - #### ARG1_INSTANCE

          public static final IRI ARG1_INSTANCE

    - #### ARG2_INSTANCE

          public static final IRI ARG2_INSTANCE

    - #### ARG3_INSTANCE

          public static final IRI ARG3_INSTANCE

    - #### ARG4_INSTANCE

          public static final IRI ARG4_INSTANCE

    - #### ARG5_INSTANCE

          public static final IRI ARG5_INSTANCE

    - #### ASK_FUNCTION

          public static final IRI ASK_FUNCTION

    - #### CONSTRUCT_PROPERTY

          public static final IRI CONSTRUCT_PROPERTY

    - #### SELECT_PROPERTY

          public static final IRI SELECT_PROPERTY

  - ### Constructor Detail

    - #### SPIN

          public SPIN()